QSORT(3F)

NAME
qsort - quick sort

SYNOPSIS
subroutine qsort (array, len, isize, compar)
external compar
integer*2 compar

DESCRIPTION
One dimensional array contains the elements to be sorted. len is the number of elements in the array. isize is the size of an element, typically -

4 for integer and real
8 for double precision or complex
16 for double complex
(length of character object) for character arrays

Compar is the name of a user supplied integer*2 function that will determine the sorting order. This function will be called with 2 arguments that will be elements of array. The function must return -

negative if arg 1 is considered to precede arg 2
zero if arg 1 is equivalent to arg 2
positive if arg 1 is considered to follow arg 2

On return, the elements of array will be sorted.

FILES
/usr/lib/libU77.a

SEE ALSO
qsort(3)